Kerbal Space Program - Bug #1622

Staging configuration reset on vessel name change (VAB)
10/24/2013 04:26 AM - tageborg

Status: Closed Start date: 10/24/2013
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 0.22 Language: English (US)
Platform: Linux Mod Related: No
Description

| often create a Mk | version of a craft, name it, fly it and then improve it, in the process renaming it to Mk Il. When | have a craft with
asparagus staging, the custom staging resets when saving a craft for which | have changed the name.

How to reproduce:

1. Add a pod.
2. Add a fuel tank with an engine below.
3. Enable symmetry (4-fold, for example)
4. Add radial decouplers (4)
5. Attach fuel tanks to the decouplers (using 4-symmetry)
6. Attach engines to the four fuel tanks (using 4-symmetry; this is sometimes impossible due to some other bug, but that is for
another issue)
7. Staging edit: Move the engine you added in step 2 to the same stage as the engines added in step 6.
8. Turn off symmetry (make it 1-fold)
9. Create an asparagus configuration of fuel lines, so that two of the decouplable fuel tanks supply fuel to the two other, and the
latter two feed fuel to the center tank.
10. Staging edit: Configure staging so that the the two tanks that run out of fuel are decoupled first, then the two remaining radial
tanks in the next stage. You shall now have two decoupler stages.
11. Name the vessel "Hello Mk I"
12. Save the vessel.
13. Fly it. (Staging works as expected.)
14. Revert to VAB.
15. Add something to the vessel ("Dang, forgot the parachute -- a 'chute on top of the pod, perhaps?")
16. Change the vessel name to "Hello Mk 11"
17. Save.

Expected outcome: Hello Mk Il is equivalent to Hello Mk | in every way, except for the added 'chute, and ready to fly.
Actual outcome: Hello Mk Il has a chute, but staging of decouplers has reset so that all radial decouples are in the same stage.

Workaround: never rename a vessel (i.e. no "Save As"). Not using symmetry is not an option, since it is madly difficult to vertically
align radial parts manually.

| suspect this is due to using symmetry to place the decouplers. They are automatically added to a (same) stage. Afterwards, when
they are "split up" in two or more stages, the grouping is not completely removed/changed and/or the changes to staging done in the
editor are not persisted properly.

For larger asparagus configurations, this is a REAL pain.

This may be related to issue #1567.

History

#1 - 10/24/2013 05:39 AM - tageborg
Also apparently related: #1230 - keyboard events bubble too far.

| assume | usually press the enter key after having written the name for a vessel...
https://bugs.kerbalspaceprogram.com/issues/1567
https://bugs.kerbalspaceprogram.com/issues/1230

#2 - 10/24/2013 05:42 AM - tageborg
#769 <-- probably the same problem.

#3 - 11/20/2015 12:21 PM - sal_vager
- Status changed from New to Resolved

- % Done changed from 0 to 100

No longer reproducible, tested in build 1028 for Linux.

#4 - 07/17/2016 09:18 AM - TriggerAu

- Status changed from Resolved to Closed
